/*
  phone.h
  2012 Copyright (c) Seeed Technology Inc.  All right reserved.

  Author:Loovee
  2012-9-18
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef _PHONE_H_
#define _PHONE_H_

class phone
{
    private:

    int msgCount;

    public:
    
    void init();

    bool strCmp(unsigned char n, char *p1, const char *p2);     // compart p1 and p1, if same return 1
    void msgSend();                     // send message
    void makeCall();                    // make call
    bool isMsg(char *str);              // check if get some message
    bool isMsgSendOver();               // check if msg send over
    bool isCall(char *str);             // check if some one call
    bool isCallOver(char *str);         // check if call over
    void handUpCall();                  // hand up
    void acceptCall();                  // accept

};

extern phone Phone;
#endif

/*********************************************************************************************************
  END FILE
*********************************************************************************************************/